org.apache.fop.util

## Interface ContentHandlerFactory.ObjectBuiltListener

- All Superinterfaces:
    EventListener
  All Known Implementing Classes:
    AbstractMetadataElement, RDFElement, SVGElement, SVGObj, UnknownXMLObj, XMLObj, XMPMetaElement
  Enclosing interface:
    ContentHandlerFactory

      public static interface ContentHandlerFactory.ObjectBuiltListener
      extends EventListener

  EventListener interface for objects which want to get notified when ContentHandler implementing the ObjectSource interface has finished parsing.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `notifyObjectBuilt(Object obj)` Notifies the listener when the object is fully built.

- - ### Method Detail

    - #### notifyObjectBuilt

          void notifyObjectBuilt(Object obj)

      Notifies the listener when the object is fully built.
      Parameters:
        `obj` - the newly built object

Copyright © 2023 Apache Software Foundation. All rights reserved.